import java.util.HashMap;
import java.sql.*;
public class NetSatReport {

	private String clientName;
	private HashMap<Integer, Float> results;
	
	public NetSatReport(String name){
		clientName = new String(name);
		results = new HashMap<Integer, Float>();
	}
	
	public void enterRegressionData(ResultSet rs){
		
		try{
			while(rs !=null && rs.next()){
				results.put(rs.getInt("num_servers"), rs.getFloat("value"));
			}
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public Float getThroughput(int num_servers){
		return results.get(num_servers);
	}
	
	public String getClientName(){
		return clientName;
	}
	
}
