import java.awt.Dimension;

import javax.swing.*;

public class ShowGraph {
	private JLabel picture;
	private ImageIcon icon;
	
	ShowGraph(String path){
		picture = new JLabel();
		picture.setHorizontalAlignment(JLabel.CENTER);
		picture.setBorder(BorderFactory.createEmptyBorder(20,20,20,20));
		icon = new ImageIcon(path);
		picture.setSize(getPictureDimension());
		picture.setIcon(icon);
	}
	public JLabel getPicture(){
		return picture;
	}
	
	public Dimension getPictureDimension(){
		return new Dimension(icon.getIconWidth() + 100, icon.getIconHeight() + 100);
	}
}
